-- This table is used by all the locales; enUS being the first creates it.
local locale = {}

select(2, ...).locale = locale
local L = {}; locale.enUS = L -- English

-- Profiling
L.PROFILING_WARNING = "Profiling is currently enabled. This will negatively affect performance."
L.PROFILING_DISABLE_DIALOG = "Would you like to disable profiling?"

-- Compass
L.MARKER_NORTH = "N"
L.MARKER_EAST = "E"
L.MARKER_SOUTH = "S"
L.MARKER_WEST = "W"

-- Hotkeys
L.HOTKEY_HEADER = "QuestHelper2"
L.HOTKEY_ACTION_DESCRIPTION = "Primary Objective Action"

L.HOTKEY_ACTION_NOT_BOUND = "You can bind a key to this action through the %s interface settings."

-- Slash Commands
L.BAD_SLASH_COMMAND = "'%s' isn't a valid command, available commands are: %s"

-- Configuration Strings:
L.SLIDER_VALUE = "Value:"

L.PANEL_QUESTHELPER2 = "QuestHelper2"
L.PANEL_QUESTHELPER2_DESCRIPTION = "QuestHelper2 is an AddOn to assist you while questing.\n\nQuestHelper2 is free software, released under the GNU General Public License.\n\nGet the latest version, file bug reports, or submit your collected data at:\n  http://wow.curseforge.com/addons/questhelper2/"
L.SETTING_LOCALE = "Locale:"
L.SETTING_LOCALE_NAME = "US English"
L.SETTING_LOCALE_TOOLTIP = "Set locale to '%s'."
L.SETTING_ENABLED = "Enable QuestHelper2."
L.SETTING_ENABLED_TOOLTIP = "Enables or disables the majority of QuestHelper2's features."
L.SETTING_MENU = "Map menu button."
L.SETTING_MENU_TOOLTIP = "Display a button on the world map to change commonly used settings and open the configuration panels."

L.PANEL_DIGSITE = "Digsites"
L.PANEL_DIGSITE_DESCRIPTION = "We sit in the mud... and reach for the stars."
L.SETTING_DIGSITE_CREATE_OBJECTIVES = "Create digsite objectives."
L.SETTING_DIGSITE_CREATE_OBJECTIVES_TOOLTIP = "Create objectives for digsites so that they can be inserted into your route."
L.SETTING_DIGSITE_FILTER_CONTINENT = "Filter by continent."
L.SETTING_DIGSITE_FILTER_CONTINENT_TOOLTIP = "Only create objectives for digsites on the same continent as you."
L.SETTING_DIGSITE_FILTER_ZONE = "Filter by zone."
L.SETTING_DIGSITE_FILTER_ZONE_TOOLTIP = "Only create objectives for digsites in the same zone as you."

L.PANEL_TRACKER = "Quest Tracker"
L.PANEL_TRACKER_DESCRIPTION = "The quest tracker provides you with information about your current tasks."
L.SETTING_TRACKER_SHOWN = "Quest tracker."
L.SETTING_TRACKER_SHOWN_TOOLTIP = "The quest tracker displays your quests and objectives. Disable this to restore Blizzard's built-in quest tracker."

L.SETTING_TRACKER_LOCKED = "Lock tracker."
L.SETTING_TRACKER_LOCKED_TOOLTIP = "Prevent the quest tracker from accepting mouse input."

L.SETTING_TRACKER_HIDE_COMBAT = "Tracker hidden in combat."
L.SETTING_TRACKER_HIDE_COMBAT_TOOLTIP = "Hide the quest tracker when you enter combat."

L.SETTING_TRACKER_SCALE = "Quest tracker scale:"
L.SETTING_TRACKER_SCALE_TOOLTIP = "Adjust the size of the quest tracker."

L.SETTING_TRACKER_ANCHOR_LEFT = "Expand right."
L.SETTING_TRACKER_ANCHOR_LEFT_TOOLTIP = "Anchor the tracker to the left side of the screen, and expand toward the right side of the screen."

L.SETTING_TRACKER_ANCHOR_BOTTOM = "Expand upward."
L.SETTING_TRACKER_ANCHOR_BOTTOM_TOOLTIP = "Anchor the tracker to the bottom of the screen, and expand upward."

L.SETTING_TRACKER_SHOWS_ROUTES = "Order objectives by route."
L.SETTING_TRACKER_SHOWS_ROUTES_TOOLTIP = "If enabled, objectives will be sorted by route rather than grouped by quest."

L.SETTING_TRACKER_SHOW_OBJECTIVE_TOOLTIPS = "Show objective tooltips."
L.SETTING_TRACKER_SHOW_OBJECTIVE_TOOLTIPS_TOOLTIP = "Show detailed information about an objective when you move the mouse over it."

L.SETTING_TRACKER_SHOW_ITEM_TOOLTIPS = "Show item tooltips."
L.SETTING_TRACKER_SHOW_ITEM_TOOLTIPS_TOOLTIP = "Display the tooltips of quest items in the tracker."

L.SETTING_TRACKER_MINIMIZED = "Quest tracker minimized."
L.SETTING_TRACKER_MINIMIZED_TOOLTIP = "Reclaim some screen real estate if you aren't using the quest tracker at the moment."

L.SETTING_TRACKER_MAX_WIDTH = "Tracker width:"
L.SETTING_TRACKER_MAX_WIDTH_TOOLTIP = "Adjust the maximum width of the quest tracker."
L.SETTING_TRACKER_MAX_HEIGHT = "Tracker height:"
L.SETTING_TRACKER_MAX_HEIGHT_TOOLTIP = "Adjust the maximum height of the quest tracker."

L.TRACKER_RECENTER = "Re-center Tracker"
L.TRACKER_RECENTER_TOOLTIP = "Place the tracker in the center of the screen, in case another UI element is covering it."

L.PANEL_OVERLAY = "Map Overlay"
L.PANEL_OVERLAY_DESCRIPTION = "Displays a visualization of the current route over your map."
L.SETTING_OVERLAY_SHOWN = "Show overlay."
L.SETTING_OVERLAY_SHOWN_TOOLTIP = "Set whether or not the overlay is enabled."
L.SETTING_OVERLAY_BUTTON_SCALE = "Button scale."
L.SETTING_OVERLAY_BUTTON_SCALE_TOOLTIP = "Adjust the size of the buttons on the map overlay."
L.SETTING_OVERLAY_TRAIL_OPACITY = "Trail opacity."
L.SETTING_OVERLAY_TRAIL_OPACITY_TOOLTIP = "Adjust the visibility of the ant trail."
L.SETTING_OVERLAY_ANT_SCALE = "Ant scale."
L.SETTING_OVERLAY_ANT_SCALE_TOOLTIP = "Adjust the size of the ants on the map overlay."
L.SETTING_OVERLAY_ANT_OPACITY = "Ant opacity."
L.SETTING_OVERLAY_ANT_OPACITY_TOOLTIP = "Adjust the visibility of the ants on the map overlay."
L.SETTING_OVERLAY_ANT_SPACING = "Ant spacing."
L.SETTING_OVERLAY_ANT_SPACING_TOOLTIP = "Adjust how closely packed the ants on the map overlay are."
L.SETTING_OVERLAY_ANT_SPEED = "Ant speed."
L.SETTING_OVERLAY_ANT_SPEED_TOOLTIP = "Adjust how quickly the ants transverse the map overlay."

L.PANEL_ARROW = "Objective Arrow"
L.PANEL_ARROW_DESCRIPTION = "The objective arrow directs you toward your next objective."

L.SETTING_ARROW_LOCKED = "Lock arrow."
L.SETTING_ARROW_LOCKED_TOOLTIP = "Prevent the arrow from accepting mouse input."

L.SETTING_ARROW_HIDE_COMBAT = "Arrow hidden in combat."
L.SETTING_ARROW_HIDE_COMBAT_TOOLTIP = "Hide the objective arrow when you enter combat."

L.SETTING_ARROW_DISTANCE = "Show distances."
L.SETTING_ARROW_DISTANCE_TOOLTIP = "Display the distance to the objective below the objective arrow."

L.SETTING_ARROW_SHOWN = "Show objective arrow."
L.SETTING_ARROW_SHOWN_TOOLTIP = "Enable or disable the objective arrow."

L.SETTING_ARROW_TEXT = "Show objective text."
L.SETTING_ARROW_TEXT_TOOLTIP = "Display the text of your next objective below the objective arrow."

L.SETTING_ARROW_TEXT_WIDTH = "Objective text width."
L.SETTING_ARROW_TEXT_WIDTH_TOOLTIP = "If the text is wider than this, it will span multiple lines."

L.SETTING_ARROW_SCALE = "Objective arrow scale:"
L.SETTING_ARROW_SCALE_TOOLTIP = "Adjust the size of the objective arrow."

L.PANEL_COMPASS = "Compass"
L.PANEL_COMPASS_DESCRIPTION = "Displays where all the objectives are in relation to your character."

L.SETTING_COMPASS_SHOWN = "Show compass."
L.SETTING_COMPASS_SHOWN_TOOLTIP = "Enable or disable the compass."

L.SETTING_COMPASS_HIDE_COMBAT = "Compass hidden in combat."
L.SETTING_COMPASS_HIDE_COMBAT_TOOLTIP = "Hide the compass when you enter combat."

L.SETTING_COMPASS_LOCKED = "Lock compass."
L.SETTING_COMPASS_LOCKED_TOOLTIP = "Prevent the compass from accepting mouse input."

L.SETTING_COMPASS_ONLY_ROUTE_LOCATIONS = "Limit to route locations only."
L.SETTING_COMPASS_ONLY_ROUTE_LOCATIONS_TOOLTIP = "If enabled, only display the locations used in the route, to reduce clutter."

L.SETTING_COMPASS_SCALE = "Compass scale:"
L.SETTING_COMPASS_SCALE_TOOLTIP = "Adjust the size of the compass."

L.SETTING_COMPASS_WIDTH = "Compass width:"
L.SETTING_COMPASS_WIDTH_TOOLTIP = "Adjust the size of the compass."

L.PANEL_QUEST = "Quests"
L.PANEL_QUEST_DESCRIPTION = "Some quests are more desirable than others."
L.PANEL_QUEST_NONE_FILTERED = "No quests are currently filtered."
L.PANEL_QUEST_FILTERED = "%d |4quest is:quests are; filtered:\n\n%s"
L.SETTING_QUEST_SHOW_LEVEL = "Show levels in quest names."
L.SETTING_QUEST_SHOW_LEVEL_TOOLTIP = "Prepend the recommended player level to quest names."
L.SETTING_QUEST_SHOW_TYPE = "Append quest type to quest level."
L.SETTING_QUEST_SHOW_TYPE_TOOLTIP = "Appends a short code to the quest level to indicate the type of quest.\nR - Raid\nG# - Group\nD - Dungeon\nY - Daily"
L.SETTING_QUEST_COLOUR_NAME = "Colour quest names by difficulty."
L.SETTING_QUEST_COLOUR_NAME_TOOLTIP = "Colour quest names based on the difference between your level and the recommended level of the quest."
L.SETTING_QUEST_COLOUR_LEVEL = "Colour quest levels by difficulty."
L.SETTING_QUEST_COLOUR_LEVEL_TOOLTIP = "Colour quest levels based on the difference between your level and the recommended level of the quest."
L.SETTING_QUEST_FILTER_GROUP = "Group filter."
L.SETTING_QUEST_FILTER_GROUP_TOOLTIP = "Filter group quests if you're not in a group. Also filters non-raid quests if you're in a raid."
L.SETTING_QUEST_FILTER_TRACKED = "Tracked filter."
L.SETTING_QUEST_FILTER_TRACKED_TOOLTIP = "Filter quests if they're not tracked in the quest log."
L.SETTING_QUEST_FILTER_ZONE = "Zone filter."
L.SETTING_QUEST_FILTER_ZONE_TOOLTIP = "Filter quests if they are outside the zone you are in."
L.SETTING_QUEST_FILTER_LEVEL = "Level filter."
L.SETTING_QUEST_FILTER_LEVEL_TOOLTIP = "Filter quests if you are below the recommended level."
L.SETTING_QUEST_FILTER_LEVEL_OFFSET = "Level filter offset:"
L.SETTING_QUEST_FILTER_LEVEL_OFFSET_TOOLTIP = "Adjusts the recommended quest level by this amount when applying the level filter."

L.PANEL_ROUTING = "Routing"
L.PANEL_ROUTING_DESCRIPTION = "Routing uses Ant Colony Optimization to arrange your tasks in a time effecient manner.\n\n\"The collective intelligence of simulated hexapods, working for you™.\""
L.SETTING_ROUTING_ENABLED = "Automatically sort objectives."
L.SETTING_ROUTING_ENABLED_TOOLTIP = "QuestHelper2 will attempt to order your objectives to reduce traveling time."

L.SETTING_ROUTING_RELAXED_PRIORITIES = "Relax priorities."
L.SETTING_ROUTING_RELAXED_PRIORITIES_TOOLTIP = "If enabled, low priority objectives may be placed before high priority objectives if the result is significantly faster than strictly honouring the priorities."

L.PANEL_FLIGHT = "Flight"
L.PANEL_FLIGHT_DESCRIPTION = "\"The knack lies in learning how to throw yourself at the ground and miss.\"\n  -- Douglas Adams"
L.SETTING_FLIGHT_TIMER_SHOWN = "Flight timer."
L.SETTING_FLIGHT_TIMER_SHOWN_TOOLTIP = "Display the estimated flight time remaining in the quest tracker, which naturally will also need to be enabled."

L.SETTING_FLIGHT_MAP_ESTIMATES = "Flight map estimates."
L.SETTING_FLIGHT_MAP_ESTIMATES_TOOLTIP = "Appends the estimated travel time to the flight map tooltips."

L.SETTING_FLIGHT_CREATE_OBJECTIVES = "Create flight point objectives."
L.SETTING_FLIGHT_CREATE_OBJECTIVES_TOOLTIP = "Create objectives to visit flight masters you haven't yet visited."

L.SETTING_FLIGHT_FILTER_BY_LEVEL = "Filter flight point objectives by level."
L.SETTING_FLIGHT_FILTER_BY_LEVEL_TOOLTIP = "Avoid creating flight point objectives in areas with a recommended level higher than your level."

L.PANEL_SOUND = "Sound"
L.PANEL_SOUND_DESCRIPTION = "Would you like some alternatives to the deafening sound of silence?"
L.SETTING_SOUND_ENABLED = "Enable sound."
L.SETTING_SOUND_ENABLED_TOOLTIP = "On the other hand, maybe the silence was less annoying."

L.SETTING_SOUND_OBJECTIVE_PROGRESS = "Objective progress:"
L.SETTING_SOUND_OBJECTIVE_COMPLETE = "Objective complete:"
L.SETTING_SOUND_OBJECTIVE_UNBLOCKED = "Objective unblocked:"
L.SETTING_SOUND_ROOT_COMPLETE = "Root objective complete:"

L.PANEL_DATABASE = "Database"
L.PANEL_DATABASE_DESCRIPTION = "Do you realize it would take 400 men at least 250 years to make a mistake this big?"
L.SETTING_DATABASE_USE = "Use quest database. (Requires restart)"
L.SETTING_DATABASE_USE_TOOLTIP = "Use the quest database generated from user submitted data. Disabling this will reduce memory requirements, but severely limit QuestHelper2's ability to plan ahead."
L.DATABASE_STATISTICS = "You've personally collected %s of data on %d |4quest:quests; and %d |4achievement:achievements;, spanning %d |4version:versions; of World of Warcraft.\n\nYou can help improve QuestHelper2 by submitting your collected data at:\n\n  %s"
L.DATABASE_WIPE = "Wipe Database"
L.DATABASE_WIPE_TOOLTIP = "Please submit your collected data before performing this operating."

-- Tracker Strings:
L.AUTO_SORT = "Autosort"
L.TRACKER_DRAG_HANDLE_TOOLTIP = "Click to drag the quest tracker."
L.TRACKER_AUTO_ROUTING_TOOLTIP = "Click to toggle automatic objective sorting."
L.TRACKER_MINIMIZE_TOOLTIP = "Click to show or hide the quest tracker."
L.TRACKER_SHOW_ROUTE_TOOLTIP = "Click to toggle grouping method."

-- Flight Time Strings.
L.FLIGHT_ETA_UNKNOWN = "No Time Estimate Available"
L.FLIGHT_ETA = "Estimated Arrival Time: %d:%02d"

-- Arrow Strings
L.ARROW_DISTANCE = "|cffffffff%d|r |4yard:yards;"

-- Quest Strings
L.QUEST_TURNIN = "Turn-in: %s"
L.QUEST_ACQUIRE = "Acquire: %s"

-- Objective Strings
L.COMPLETE = "Complete" -- Displayed beside completed objectives.

L.PRIORITY0 = "Selected"
L.PRIORITY1 = "Highest"
L.PRIORITY2 = "High"
L.PRIORITY3 = "Normal"
L.PRIORITY4 = "Low"
L.PRIORITY5 = "Lowest"

L.DATE_FORMAT = "%B %d, %Y"
L.TIME_FORMAT = "%I:%M %p"

L.TIME_DELTA_DATE = "%s, at %s."
L.TIME_DELTA_WEEKDAY = "%s at %s."
L.TIME_DELTA_YESTERDAY = "Yesterday at %s."
L.TIME_DELTA_TODAY = "Today at %s."
L.TIME_DELTA_HOURS = "%d |4hour:hours;, %d |4minute:minutes; ago."
L.TIME_DELTA_MINUTES = "%d |4minute:minutes;, %d |4second:seconds; ago."
L.TIME_DELTA_SECONDS = "%d |4second:seconds; ago."
L.TIME_DELTA_FUTURE = "As a time traveler, you're free of the limited confines of unidirectional causality." -- When objectives have a creation time in the future.

-- Objective Tooltip Strings
L.OBJECTIVE_MULTIPLE = "Multiple Objectives:"
L.OBJECTIVE_NO_MAP_AVAILABLE = "No Map Available"
L.OBJECTIVE_CANT_COMPLETE = "This objective can't be completed yet."
L.OBJECTIVE_IS_COMPLETE = "This objective is already complete."
L.OBJECTIVE_DEFUNCT = "No AddOn has claimed responsibility for managing this objective."
L.OBJECTIVE_PRIORITY = "Priority:"
L.OBJECTIVE_REQUIRES = "Requires:"
L.OBJECTIVE_REQUIRED_BY = "Required by:"
L.OBJECTIVE_CREATOR = "Creator:"
L.OBJECTIVE_CREATION_TIME = "Creation:"

L.OPEN_CONFIGURATION = "Configure QuestHelper2"
L.OBJECTIVE_DISABLE = "Disable this objective."

-- Area String
L.AREA_LEVEL_INDEX = "Level %d"