-- Copyright (C) 2010 Tyson Brown
-- 
-- This file is part QuestHelper2, an AddOn for World of Warcraft.
-- 
-- QuestHelper2 is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
-- 
-- QuestHelper2 is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with QuestHelper2. If not, see <http://www.gnu.org/licenses/>.

if LibDebug then LibDebug() end
local shared = select(2, ...)

-- This file is responsible for creating the initial pather objects
-- for all the maps in the game.

-- TODO: Create mesh pathers.

-- Create straight line pathers for any maps we know should exist,
-- but don't yet have pathers assigned.
for area_id, area_info in pairs(shared.static.area_info) do
  local map_id = area_info.map
  
  if not shared.getMapPather(map_id) then
    shared.assignPatherToMap(map_id, shared.createStraightLinePather(map_id))
  end
end
